POST
/docs/{docId}/tables/{tableId}/records/deleteDelete records from a table
Deletes records from a table using their integer IDs. Supply the IDs in the request body to remove the corresponding records from the specified table.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
The document identifier in UUID format.
tableIdstringrequired
The normalized table name or the numeric row ID in `_grist_Tables`.
200Returns no response body after deleting the specified records.
Error handling
The docId path parameter must identify a document, and the tableId path parameter must identify a table by its normalized name or numeric row ID. The request body must be an array of integer record IDs to delete.
